/*
 * Dataset.h
 *
 *  Created on: Nov 9, 2012
 *      Author: babishan
 */

#ifndef DATASET_H_
#define DATASET_H_

#include <vector>
#include <string>
#include <map>

#include "Sentence.h"
#include "CoNLLDocumentReader.h"

using namespace std;

class Dataset {
public:
	Dataset();
	~Dataset();
public:
	vector<Sentence*> sentences;

public:
	void CollectTaggingLabels(set<string> &ylabels);
	void CollectEntities(string labelscheme);

	Sentence* ParseSent(string sentstr);
	void LoadCRFData(string filename);
};

#endif /* DATASET_H_ */
