/*
 * Param.h
 *
 *  Created on: Feb 10, 2014
 *      Author: bishan
 */

#ifndef PARAM_H_
#define PARAM_H_

#include <string>
using namespace std;

class Param {
public:
	Param() : iteration(10),
	use_sgd_learn(false), use_parse(false),
	sgd_iteration(500), learningrate(0.01),
	freq(1), threadnum(1), zeroorder(false),
	windowsize(1), max_length(1), regularizer(1.0), nbest(0),lossaware(false)
    {}

public:
	int iteration;
	bool use_sgd_learn;
	bool use_parse;
	int sgd_iteration;
	double learningrate;
	int freq;
	int threadnum;
	bool zeroorder;
	int  windowsize;
	int  max_length;
	double regularizer;
	int nbest;

	string modeltype; // crf or semicrf
	string modelfile; // output model
	string resultfile; // output results

	string labelscheme; // IO or BIO
	bool lossaware; // for semicrf only

	string dictfeatures;
	string lexicalfeatures;
	string embeddingfile;
	string lookupfile;
};


#endif /* PARAM_H_ */
